/* Soluzione */
:root {
    --f7-calendar-header-bg-color: var(--f7-theme-color) !important;
    --f7-calendar-header-link-color: #fff !important;
    --f7-calendar-header-text-color: #fff !important;
}

.ios .tabbar-labels .tab-link:not(.tab-link-active) .icon-ios-fill {
  display: none;
}
.ios .tabbar-labels .tab-link.tab-link-active .icon:not(.icon-ios-fill) {
  display: none;
}
.ios div.sheet-modal-virtualclassroom .tabbar-labels .tab-link.tab-link-active .icon:not(.icon-ios-fill) {
    display: block !important;
}

.round {
    border-radius:50%;
}
.user-profile-info {
    background-image: url('../img/background/abstract.jpg');
    background-position: center top;
    background-size:cover;
}
.user-profile-info h6 {
    font-size:0.7em !important;
    font-weight:normal;
    line-height:1.3em !important;
    opacity:0.75;
}
.user-profile-info h6 span {
    display:block !important;
}
.login .page-content {
    background-image: url('../img/background/login.jpg');
    background-position: center;
    background-size:cover;
}
.login #CodiceScuola {
    /*text-indent: 38px;*/
    color: #007aff;
    font-weight: 700;
    line-height:var(--f7-input-height) !important;
}
.login .label-codice-scuola {
    float:left;
    position:absolute;
    color:#007aff;
    font-weight:700;
    display:none;
    line-height:var(--f7-input-height) !important;
    height:var(--f7-input-height) !important;
    width:auto;
    overflow:hidden;

}
.ios .login #CodiceScuola {
    /*text-indent: 44px !important;*/
}
.ios .login .label-codice-scuola {
    /*width:44px !important;*/
}
.ios .panel {
    box-shadow: 0 0 20px rgba(0,0,0,0.15);
}

.login .item-input-focused .label-codice-scuola,
.login .item-input-with-value .label-codice-scuola {
    display:block;
}
#login-form .item-input-with-value .item-floating-label,
#login-form .item-input-focused .item-floating-label {
    top:5px;
}
hr {
    border-top:1px solid rgba(200, 200, 200, 0.2) !important; /*1px solid #f4f4f4;*/
    border-left:0 none;
    border-right:0 none;
    border-bottom:0 none;
    margin:1em 0;
}
.opacity-00{
    opacity:0.00;
}
.opacity-25{
    opacity:0.25;
}
.opacity-40{
    opacity:0.40;
}
.opacity-50{
    opacity:0.50;
}
.color-transparent {
    background-color:transparent !important;
}
.text-small {
    font-size:0.7em !important;
}
.text-medium {
    font-size:0.8em !important;
}
.text-truncate {
    overflow:hidden;
    text-overflow:ellipsis;
}
.text-normal {
    font-size:0.9em !important;
}
.text-x2 {
    font-size:2.0em !important;
}
.text-x3 {
    font-size:3.0em !important;
}
.text-x4 {
    font-size:4.0em !important;
}
.flex-stretch {
    flex:1;
}
.max-height-0 {
    max-height: 0;
    transition: max-height 1s;
}
.max-height-50 {
    max-height: 50px;
    transition: max-height 1s;
}
.calendar-modal {
    z-index: 14000 !important;
}
.calendar-day-weekend .calendar-day-number {
    color: var(--f7-calendar-prev-next-text-color);
}
#registro-giorno-settimana {
    /*width:80px;*/
}
.calendar-day-weekend {
    background-color: rgba(200,200,200,0.05);/*#fcfcfd;*/

}
#registro-giorno {
    width:100%;
}
#registro-content .chip {
    max-width:85%;
}
#registro-content .chip h2 {
    overflow:hidden;
    text-overflow:ellipsis;
}
.hidden {
    display:none !important;
}
.overflow-hidden {
    overflow:hidden;
}
.overflow-auto {
    overflow:auto;
}
.sheet-modal-registro, 
.sheet-modal-lezioni,
.sheet-modal-compiti {
    height: 800px;
    max-height: 66%;
}
.sheet-modal-virtualclassroom,
.sheet-modal-pagelle,
.sheet-modal-note,
.sheet-modal-avvisi {
    height: 10000px;
    max-height: 100%;
}
.sheet-modal-borsellino {
    height: 2000px;
    max-height: 80%;
}
.sheet-modal-movimenti {
    height: 2000px;
    max-height: 80%;
}
.sheet-modal-privacy .sheet-modal-inner,
.sheet-modal-registro .sheet-modal-inner,
.sheet-modal-lezioni .sheet-modal-inner,
.sheet-modal-compiti .sheet-modal-inner,
.sheet-modal-virtualclassroom .sheet-modal-inner,
.sheet-modal-pagelle .sheet-modal-inner,
.sheet-modal-note .sheet-modal-inner,
.sheet-modal-avvisi .sheet-modal-inner,
.sheet-modal-borsellino .sheet-modal-inner,
.sheet-modal-movimenti .sheet-modal-inner {
    overflow-y: scroll;
}
.sheet-modal-privacy .sheet-modal-inner {
    top:var(--f7-toolbar-height);
    bottom:0;
    position:absolute;
    height:auto !important;
}
.dialog-privacy {
    height:250px;
    overflow-y:scroll;
    overflow-x:hidden;
}
.text-overflow-ellipsis {
    text-overflow: ellipsis;
}
.text-nowrap {
    white-space:nowrap;
}
.text-wrap {
    white-space: normal !important;
}
.width-100 {
    width:100%;
}
.width-min-content {
    width: min-content;
}
.tabs-animated-wrap > .tabs > .tab {
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}
.sheet-modal.sheet-modal-virtualclassroom {
    z-index: 5000;
}
.panel-left .list .item-link i.ol {
    font-size: 1.6em;
    width: 1.6em;
}
.panel-left .list .item-link.state-active {
    background-color: rgba(200,200,200,0.05); /*#fcfcfd;*/
    color: var(--f7-theme-color) !important;
}
.panel-left .list .item-link i.ol {
    color:#aaa;
}
.panel-left .list .item-link.state-active i.ol {
    color: var(--f7-theme-color) !important;
}
.panel-left .list .item-link.state-active .item-title {
    font-weight:bold;
}

#bacheca-content .swiper-slide {
  font-size: 25px;
  font-weight: 300;
  display: flex;
  justify-content: center;
  align-items: center;
  /*background: #fff;*/
  /*color: #000;*/
}
#bacheca-content>.swiper-pagination-bullets {
    bottom:0 !important;
}
#bacheca-content .swiper-slide {
  box-sizing: border-box;
  /*border: 1px solid #ddd;*/
  /*background: #fff;*/
}
#bacheca-content .swiper-slide .block {
    top:0;
    bottom:0;
    position:absolute;
    left:0;
    right:0;
}
#bacheca-content .swiper-slide .block > div {
    top:0;
    bottom:0;
    position:absolute;
    left:0;
    right:0;
    overflow:auto;
    font-size: 14px;
}
#bacheca-content {
  margin: 0px 0 35px;
  height: 360px;
}

.circle {
    width: 40px;
    height: 40px;
    text-align: center;
    vertical-align: middle;
    line-height: 40px;
    color: #fff;
    border-radius: 50%;
    background-color:var(--f7-theme-color);
}
.circle.circle-lg {
    width: 60px;
    height: 60px;
    line-height: 60px;
    font-size: 1.6em;
}
.circle.circle-sm {
    width: 20px;
    height: 20px;
    line-height: 20px;
    font-size: 0.9em;
}
.circle.circle-md {
    width: 32px;
    height: 32px;
    line-height: 32px;
    font-size: 1.0em;
}
.circle.circle-md.firma {
    line-height: 28px;
}
.circle.circle-md.firma .ol-firma-small {
    font-size: 16px;
}
.circle.circle-cover {
    display: inline-block !important;
    /*border: 2px solid #fff !important;*/
    /*margin-right: -7px !important;*/
    margin-right: -2px !important;
    overflow: visible !important;
    border-color: var(--f7-page-bg-color);
    border-width: 2px;
    border-style: solid;
}
.circle.circle-cover:last-child {
    margin-right: 0 !important;
}
.circle span {
    color: #fff;
    font-weight: 900;
}
.margin-center {
    margin: 0 auto;
}
.sol-background-color-red {
    background-color:#ce0000 !important;
}
.sol-background-color-orange{
    background-color:#ff8500 !important;
}
.sol-background-color-yellow{
    background-color:#ffe200 !important;
}
.sol-background-color-yellow span {
    color: #333 !important;
}
.sol-background-color-ltGreen{
    background-color:#52ba00 !important;
}
.sol-background-color-dkGreen{
    background-color:#0f5a00 !important;
}
.sol-background-color-cyan{
    background-color:#00bbe5 !important;
}
.sol-background-color-ltBlue{
    background-color:#005ed1 !important;
}
.sol-background-color-dkBlue{
    background-color:#001d7d !important;
}
.sol-background-color-purple{
    background-color:#6f00bb !important;
}
.sol-background-color-magenta{
    background-color:#ac00a8 !important;
}
.sol-background-color-white{
    background-color:#e0e0e0 !important;
}
.sol-background-color-white span {
    color: #333 !important;
}
.sol-background-color-ltGray{
    background-color:#8f8f8f !important;
}
.sol-background-color-ltGray span {
    color: #333 !important;
}
.sol-background-color-gray{
    background-color:#5b5b5b !important;
}
.sol-background-color-dkGray{
    background-color:#2b2b2b !important;
}
.sol-background-color-black{
    background-color:#141414 !important;
}

.sol-text-color-red {
    color:#ce0000 !important;
}
.sol-text-color-orange{
    color:#ff8500 !important;
}
.sol-text-color-yellow{
    color:#ffe200 !important;
}
.sol-text-color-yellow span {
    color: #333 !important;
}
.sol-text-color-ltGreen{
    color:#52ba00 !important;
}
.sol-text-color-dkGreen{
    color:#0f5a00 !important;
}
.sol-text-color-cyan{
    color:#00bbe5 !important;
}
.sol-text-color-ltBlue{
    color:#005ed1 !important;
}
.sol-text-color-dkBlue{
    color:#001d7d !important;
}
.sol-text-color-purple{
    color:#6f00bb !important;
}
.sol-text-color-magenta{
    color:#ac00a8 !important;
}
.sol-text-color-white{
    color:#e0e0e0 !important;
}
.sol-text-color-ltGray{
    color:#8f8f8f !important;
}
.sol-text-color-gray{
    color:#5b5b5b !important;
}
.sol-text-color-dkGray{
    color:#2b2b2b !important;
}
.sol-text-color-black{
    color:#141414 !important;
}

.bold {
    font-weight:bold !important;
}
.normal {
    font-weight:normal !important;
}
.chip.materia {
    background-color:var(--f7-list-group-title-bg-color);
}
.chip.materia h2 {
    font-weight:normal;
    font-size:1.3em;
}
.chip.materia .chip-media i.icon {
    font-size: calc(var(--f7-chip-height) - 12px);
    height: calc(var(--f7-chip-height) - 12px);
}
.ios .chip.materia .chip-media i.icon {
    font-size: calc(var(--f7-chip-height) - 9px);
    height: calc(var(--f7-chip-height) - 9px);
}
.menu-icon .badge {
    top: 12px;
    min-width: var(--f7-badge-size) - 3px;
    height: var(--f7-badge-size) - 3px;
    margin-left: -8px;
}

.icon.ol .badge {
    margin-left: -16px !important;    
}
.icon.ol .badge:empty {
   display: none;
}

#assenze-calendar-inline .calendar-day-has-events .calendar-day-number {
    background-color:rgba(var(--f7-theme-color-rgb), 0.08);
    font-weight: bold;
    color:var(--f7-theme-color);
}

#assenze-calendar-inline .calendar-day .calendar-day-events {
    margin-top: 2px;
    width:auto;
    left:-10px;
    right:-10px;
}
#assenze-calendar-inline .calendar-day.calendar-day-selected .calendar-day-number {
    color: var(--f7-calendar-selected-text-color);
    background-color: var(--f7-calendar-selected-bg-color,var(--f7-theme-color));
}

#user-profile-box-dettaglio-utente span {
    display:block;
    font-size: 0.95em;
}

#app.hide-figli .detail-home-figli,
#app.hide-figli .detail-footer-figli {
    display:none !important;
}

.ch {
    background-color: var(--f7-list-group-title-bg-color);
    padding-left: var(--f7-chip-padding-horizontal);
    padding-right: var(--f7-chip-padding-horizontal);
    font-weight: var(--f7-chip-font-weight);
    display: inline-flex;
    box-sizing: border-box;
    vertical-align: middle;
    align-items: center;
    margin: 2px 0;
    font-size: 0.9em;
    color: var(--f7-chip-text-color);
    height: var(--f7-chip-height);
    line-height: var(--f7-chip-height);
    border-radius: var(--f7-chip-height);
    position: relative;
    min-width: 0;
    max-width:100%;
}
.ch div:nth-child(1) {
    background-color: var(--f7-theme-color);
    border-radius: 50%;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--f7-chip-height);
    width: var(--f7-chip-height);
    border-radius: var(--f7-chip-height);
    text-align: center;
    line-height: var(--f7-chip-height);
    box-sizing: border-box;
    color: #fff;
    font-size: var(--f7-chip-media-font-size);
    vertical-align: middle;
    margin-left: calc(-1 * var(--f7-chip-padding-horizontal));
}
.ch.ch-small {
    /*
    font-size: 0.85em;
    height: calc(var(--f7-chip-height)*0.6);
    */
    transform: scale(0.85);
    transform-origin: 0;
}
/*
.ch.ch-small div:nth-child(1) {
    height: calc(var(--f7-chip-height)*0.6);
    width: calc(var(--f7-chip-height)*0.6);
    border-radius: calc(var(--f7-chip-height)*0.6);
    line-height: calc(var(--f7-chip-height)*0.6);
}
.ch.ch-small div:nth-child(1) i {
    font-size: 12px;
}
.ch.ch-small div:nth-child(2) {
    margin-left: 6px;
}

*/

.chips-modalita {
  font-size: 0.7em;
  background-color: #ddd;
  padding: 2px 8px;
  border-radius: 20px;
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: auto;
  max-width: 140px;
  margin-right: -4px;
}

.bull-aula.red,
.chips-modalita.red,
.materia .chip-media.red,
.ch div.red:nth-child(1) {
    background-color: #C00;
    color: #fff;
}
.bull-aula.orange,
.chips-modalita.orange,
.materia .chip-media.orange,
.ch div.orange:nth-child(1) {
    background-color: #F90;
    color: #fff;
}
.bull-aula.yellow,
.chips-modalita.yellow,
.materia .chip-media.yellow,
.ch div.yellow:nth-child(1) {
    background-color: #FC0;
    color: #000;
}
.bull-aula.ltGreen,
.chips-modalita.ltGreen,
.materia .chip-media.ltGreen,
.ch div.ltGreen:nth-child(1) {
    background-color: #9C0;
    color: #fff;
}
.bull-aula.dkGreen,
.chips-modalita.dkGreen,
.materia .chip-media.dkGreen,
.ch div.dkGreen:nth-child(1) {
    background-color: #060;
    color: #fff;
}
.bull-aula.cyan,
.chips-modalita.cyan,
.materia .chip-media.cyan,
.ch div.cyan:nth-child(1) {
    background-color: #0CF;
    color: #fff;
}
.bull-aula.ltBlue,
.chips-modalita.ltBlue,
.materia .chip-media.ltBlue,
.ch div.ltBlue:nth-child(1) {
    background-color: #0080BF;
    color: #fff;
}
.bull-aula.dkBlue,
.chips-modalita.dkBlue,
.materia .chip-media.dkBlue,
.ch div.dkBlue:nth-child(1) {
    background-color: #004B84;
    color: #fff;
}
.bull-aula.purple,
.chips-modalita.purple,
.materia .chip-media.purple,
.ch div.purple:nth-child(1) {
    background-color: #909;
    color: #fff;
}
.bull-aula.magenta,
.chips-modalita.magenta,
.materia .chip-media.magenta,
.ch div.magenta:nth-child(1) {
    background-color: #C0C;
    color: #fff;
}
.bull-aula.white,
.chips-modalita.white,
.materia .chip-media.white,
.ch div.white:nth-child(1) {
    background-color: #FFF;
    color: #000;
}
.bull-aula.ltGray,
.chips-modalita.ltGray,
.materia .chip-media.ltGray,
.ch div.ltGray:nth-child(1) {
    background-color: #CCC;
    color: #000;
}
.bull-aula.gray,
.chips-modalita.gray,
.materia .chip-media.gray,
.ch div.gray:nth-child(1) {
    background-color: #999;
    color: #000;
}
.bull-aula.dkGray,
.chips-modalita.dkGray,
.materia .chip-media.dkGray,
.ch div.dkGray:nth-child(1) {
    background-color: #666;
    color: #fff;
}
.bull-aula.black,
.chips-modalita.black,
.materia .chip-media.black,
.ch div.black:nth-child(1) {
    background-color: #000;
    color: #fff;
}

.ch div:nth-child(1) i {
    font-size:20px;
}
.ios .ch div:nth-child(1) i {
    font-size:16px;
}
.ch div:nth-child(2) {
    margin-left: 8px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: relative;
    flex-shrink: 1;
    min-width: 0;
}
.bull-aula {
    display: inline-block;
    width: 8px;
    height: 8px;
    vertical-align: baseline;
    border-radius: 4px;
    margin-right: 4px;
}
#avvisi-content-elenco .list ul li {
    /*background-color: #fff;*/
}
#avvisi-content-elenco .list ul li.avviso-letto {
    background-color: rgba(128,128,128,0.05); /*#fafafb;*/
}
#avvisi-content-elenco .list ul li .avviso-titolo {
    font-weight: bold;
}
#avvisi-content-elenco .list ul li.avviso-letto .avviso-titolo {
    font-weight: normal;
}
.avvisi-dettaglio-testo * {
    width:auto !important;
    white-space: normal !important;
}

#documenti-content-elenco .list ul li {
    /*background-color: #fff;*/
}
#documenti-content-elenco .list ul li.documento-letto {
    background-color: rgba(128,128,128,0.05); /*#fafafb;*/
    opacity:0.75;
}
#documenti-content-elenco .list ul li .documento-titolo {
    font-weight: bold;
}
#documenti-content-elenco .list ul li.documento-letto .documento-titolo {
    font-weight: normal;
}
.documenti-dettaglio-testo * {
    width:auto !important;
    white-space: normal !important;
}


#note-content-elenco .list ul li {
    /*background-color: #fff;*/
}
#note-content-elenco .list ul li.nota-letto {
    background-color: rgba(128,128,128,0.05); /*#fafafb;*/
}
#note-content-elenco .list ul li .nota-titolo {
    font-weight: bold;
}
#note-content-elenco .list ul li.nota-letto .nota-titolo {
    font-weight: normal;
}
.note-dettaglio-testo * {
    width:auto !important;
    white-space: normal !important;
}
.note-dettaglio-testo * {
    width:auto !important;
    white-space: normal !important;
}

#mensa-calendar-inline .calendar-day-has-events > span,
#extra1-calendar-inline .calendar-day-has-events > span,
#extra2-calendar-inline .calendar-day-has-events > span {
    background-color: var(--f7-color-green);
    color: var(--f7-color-white);
    font-weight: bold;
}
#mensa-calendar-inline .calendar-day-has-events>span .calendar-day-events,
#extra1-calendar-inline .calendar-day-has-events>span .calendar-day-events,
#extra2-calendar-inline .calendar-day-has-events>span .calendar-day-events {
    display:none;
}
#mensa-calendar-inline .calendar-day-has-events.calendar-day-prev > span,
#mensa-calendar-inline .calendar-day-has-events.calendar-day-next > span,
#extra1-calendar-inline .calendar-day-has-events.calendar-day-prev > span,
#extra1-calendar-inline .calendar-day-has-events.calendar-day-next > span,
#extra2-calendar-inline .calendar-day-has-events.calendar-day-prev > span,
#extra2-calendar-inline .calendar-day-has-events.calendar-day-next > span {
    opacity: 0.4;
}

.sheet-modal.sheet-modal-virtualclassroom {
    top: var(--f7-appbar-height);
}

.sheet-modal.sheet-modal-virtualclassroom .toolbar {
    position: absolute;
    bottom: var(--f7-toolbar-height);
}
.sheet-modal.sheet-modal-virtualclassroom .tabbar-label {
    font-size: 0.75em;
}
.sheet-modal.sheet-modal-virtualclassroom .toolbar.tabbar  {
    position: fixed;
    bottom: auto;
    top: var(--f7-navbar-height);
}

#virtualclassroom-videolezione {
    height:100%;
}

.virtualclassroom-content-elenco-icon {
    white-space:nowrap;
}

.virtualclassroom-content-elenco-icon .icons-attachment {
    margin-right: -4px;
}

.sheet-modal.sheet-modal-virtualclassroom .toolbar + .sheet-modal-inner {
    /*height: calc(100% - var(--f7-toolbar-height) - var(--f7-navbar-height) - var(--f7-appbar-height));*/
}

.sheet-modal.sheet-modal-virtualclassroom #sheet-modal-virtualclassroom-dettaglio .page-content {
    top: calc(var(--f7-appbar-height) + var(--f7-navbar-height) + 10px);
    bottom: calc(var(--f7-toolbar-height) + var(--f7-toolbar-height) + var(--f7-safe-area-bottom));
    width: 100%;
    height: unset;
    position: fixed;
}

#sheet-modal-virtualclassroom-iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
}
#sheet-modal-virtualclassroom-iframe iframe {
    border: 0 none;
    width: 100%;
    height: 100%;
}


.sheet-modal.sheet-modal-pagelle {
    top: var(--f7-appbar-height);
}
.sheet-modal.sheet-modal-pagelle .toolbar {
    position: absolute;
    bottom:var(--f7-toolbar-height);
}
.sheet-modal.sheet-modal-pagelle .toolbar+.sheet-modal-inner {
    height: calc(100% - var(--f7-toolbar-height) - var(--f7-navbar-height) - var(--f7-appbar-height));
}

.sheet-modal.sheet-modal-avvisi {
    top: var(--f7-appbar-height);
}
.sheet-modal.sheet-modal-avvisi .toolbar {
    position: absolute;
    bottom:var(--f7-toolbar-height);
}
.sheet-modal.sheet-modal-avvisi .toolbar+.sheet-modal-inner {
    height: calc(100% - var(--f7-toolbar-height) - var(--f7-navbar-height) - var(--f7-appbar-height));
}

.sheet-modal.sheet-modal-note {
    top: var(--f7-appbar-height);
}
.sheet-modal.sheet-modal-note .toolbar {
    position: absolute;
    bottom:var(--f7-toolbar-height);
}
.sheet-modal.sheet-modal-note .toolbar+.sheet-modal-inner {
    height: calc(100% - var(--f7-toolbar-height) - var(--f7-navbar-height) - var(--f7-appbar-height));
}

.subnavbar .list ul {
    background-color: transparent;
}
.data-table #pagelle-content-table td,
.data-table #pagelle-content-table th {
    max-width: 0;
    min-height:var(--f7-table-head-cell-height);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-left: 0;
    padding-right: var(--f7-list-item-padding-horizontal);
    padding-top: calc(var(--f7-list-item-padding-horizontal) /2);
    padding-bottom: calc(var(--f7-list-item-padding-horizontal) /2);
}
.data-table #pagelle-content-table td {
    vertical-align:top;
}
.data-table #pagelle-content-table td:first-child,
.data-table #pagelle-content-table th:first-child {
    padding-left: var(--f7-list-item-padding-horizontal);
}
.data-table #pagelle-content-table {
    border-bottom:1px solid #f4f4f4;
}
#movimenti-content-elenco {
    margin-bottom:185px;
}
#movimenti-content-totali {
    position: fixed;
    bottom: var(--f7-tabbar-labels-height);
    width: 100%;
    height: 185px;
    background-color: var(--f7-navbar-bg-color,var(--f7-bars-bg-color,var(--f7-theme-color)));
}
#app.hide-figli #movimenti-content-totali {
    bottom: 0;
}
#movimenti-content-totali.list .item-inner {
    min-height: auto;
    padding-top: calc(var(--f7-typography-padding)/ 3)!important;
    padding-bottom: calc(var(--f7-typography-padding)/ 3)!important;
    background-color:var(--f7-navbar-bg-color,var(--f7-bars-bg-color,var(--f7-theme-color)));
}
html.no-pagamento-movimenti #movimenti-content-totali {
    height: 140px;
}

html.no-pagamento-movimenti #movimenti-content-elenco {
    margin-bottom: 140px;
}

#app.hide-figli .page-content {
    padding-bottom: 0;
}

#messaggi-dettaglio .page-content {
    padding-bottom: calc(var(--f7-page-toolbar-bottom-offset, 0px) + var(--f7-safe-area-bottom) + var(--f7-page-content-extra-padding-bottom, 0px)) !important;
}

#borsellino-content-elenco {
    margin-bottom:92px;
}
#borsellino-content-elenco .ol-borsellino-mensa,
#borsellino-content-elenco .ol-borsellino-extra,
#borsellino-content-elenco .ol-borsellino-servizio {
    font-size: 0.9em;
    width:0.9em;
    top: -2px;
}
#borsellino-content-totali {
    position: fixed;
    bottom: var(--f7-tabbar-labels-height);
    width: 100%;
    height:92px;
    background-color:var(--f7-navbar-bg-color,var(--f7-bars-bg-color,var(--f7-theme-color)));
}
html.no-borsellino-ricarica #borsellino-content-totali { 
    height:40px;
}
html.no-borsellino-ricarica #borsellino-content-elenco { 
    margin-bottom:40px;
}

#app.hide-figli #borsellino-content-totali {
    bottom: 0;
}
#borsellino-content-totali.list .item-inner {
    min-height: auto;
    background-color:var(--f7-navbar-bg-color,var(--f7-bars-bg-color,var(--f7-theme-color)));
}

.subnavbar .tabbar a {
    color: var(--f7-tabbar-link-inactive-color);
}


.subnavbar .tabbar .tab-link-active {
    color: var(--f7-tabbar-link-active-color,var(--f7-theme-color));
}

.ios #colloqui .list-group-title h3 {
    font-size: 18px;
}
#colloqui-content-ricevimento .list-group-title.accordion-item {
    display: block;
    height: auto;
}
#colloqui-content-ricevimento.list > ul:before {
    background-color: #000;
}
#colloqui-content-ricevimento .list-group-title.accordion-item h3 {
    padding-left: 0;
}
.message-avatar.message-avatar-medium {
  width: calc(var(--f7-message-avatar-size) * 1.5);
  height: calc(var(--f7-message-avatar-size) * 1.5);
}
.message-avatar .badge {
    position: absolute;
    right: -4px;
    top: -2px;
    background-color:#b6d9ff;
    /*box-shadow: 0px 2px 0px #fff, -2px 0px 0px #fff, -1px -1px 0px #fff;*/
}
.message-avatar .badge:after {
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    bottom: -2px;
    right: -2px;
    border: 2px #fff solid;
    border-radius: var(--f7-badge-size);
}
.message .button {
    max-width:240px;
}

.message .button.color-gray {
    opacity: 0.6 !important;
}

.message.message-sent .button.color-gray {
    color:#fff;
    border-color:#fff;
    opacity:0.4 !important;
}

#messaggi-dettaglio .message-avatar,
#messaggi-content-elenco .message-avatar {
    background-image: url('../img/profile/avatar.png');
    background-color:#b6d9ff;
}
#send-link-button {
  width: 36px;
  height: 36px;
  border-radius: 20px;
  text-align: center;
  line-height: 36px;
  padding: 0 !important;
}
#send-link-button i {
  font-size: 20px;
  line-height: 34px;
  padding: 0 !important;
  margin-top: 2px;
  margin-right: 2px;
}
.icon-cat-error {
    font-size: 3em;
    border: 3px solid #8e8e93;
    border-radius: 50%;
    padding: 10px;
    -moz-transform: scale(-1, 1);
    -webkit-transform: scale(-1, 1);
    -o-transform: scale(-1, 1);
    -ms-transform: scale(-1, 1);
    transform: scale(-1, 1);
}

html.no-bacheca  #bacheca,
html.no-bacheca  #menu-bacheca 
{ display:none !important; }

html.no-menu #menu-registro,
html.no-menu #menu-lezioni,
html.no-menu #menu-compiti,
html.no-menu #menu-virtualclassroom,
html.no-menu #menu-assenze,
html.no-menu #menu-mensa,
html.no-menu #menu-extra1,
html.no-menu #menu-extra2,
html.no-menu #menu-agenda,
html.no-menu #menu-colloqui,
html.no-menu #menu-voti,
html.no-menu #menu-pagelle,
html.no-menu #menu-note,
html.no-menu #menu-avvisi,
html.no-menu #menu-messaggi,
html.no-menu #menu-questionari,
html.no-menu #menu-documenti,
html.no-menu #menu-movimenti,
html.no-menu #menu-borsellino,
html.no-menu #menu-didattica,
html.no-menu #menu-diario,
html.no-menu #menu-valutazioni,
html.no-menu #menu-comunicazioni,
html.no-menu #menu-pagamenti {
    display: none !important;
}

html.no-registro #menu-registro,
html.no-lezioni #menu-lezioni,
html.no-compiti #menu-compiti,
html.no-virtualclassroom #menu-virtualclassroom,
html.no-assenze #menu-assenze,
html.no-mensa #menu-mensa,
html.no-extra1 #menu-extra1,
html.no-extra2 #menu-extra2,
html.no-agenda #menu-agenda,
html.no-colloqui #menu-colloqui,
html.no-voti #menu-voti,
html.no-pagelle #menu-pagelle,
html.no-note #menu-note,
html.no-avvisi #menu-avvisi,
html.no-messaggi #menu-messaggi,
html.no-questionari #menu-questionari,
html.no-documenti #menu-documenti,
html.no-movimenti #menu-movimenti,
html.no-borsellino #menu-borsellino {
    display: none !important;
}

html.no-registro.no-lezioni.no-compiti.no-virtualclassroom #menu-didattica,
html.no-assenze.no-mensa.no-extra1.no-extra2.no-agenda.no-colloqui #menu-diario,
html.no-voti.no-pagelle #menu-valutazioni,
html.no-note.no-avvisi.no-messaggi.no-questionari.no-documenti #menu-comunicazioni,
html.no-movimenti.no-borsellino #menu-pagamenti {
    display: none !important;
}

html.no-bacheca #bacheca,
html.no-registro #registro,
html.no-lezioni #lezioni,
html.no-compiti #compiti,
html.no-virtualclassroom #virtualclassroom,
html.no-assenze #assenze,
html.no-mensa #mensa,
html.no-extra1 #extra1,
html.no-extra2 #extra2,
html.no-agenda #agenda,
html.no-colloqui #colloqui,
html.no-voti #voti,
html.no-pagelle #pagelle,
html.no-note #note,
html.no-avvisi #avvisi,
html.no-messaggi #messaggi,
html.no-questionari #questionari,
html.no-documenti #documenti,
html.no-movimenti #movimenti,
html.no-borsellino #borsellino {
    display: none !important;
}

html.no-assenze-giustifica.responsabili #assenze-gistificazione-famiglia,
html.no-assenze-giustifica.responsabili #assenze-gistificazione-famiglia-massiva,
html.no-assenze-giustifica.responsabili .assenze-checkbox-firma,
html.no-assenze-giustifica.responsabili .assenze-icon-firma,
html.no-assenze-giustifica-alunno.alunni #assenze-gistificazione-famiglia,
html.no-assenze-giustifica-alunno.alunni #assenze-gistificazione-famiglia-massiva,
html.no-assenze-giustifica-alunno.alunni .assenze-checkbox-firma,
html.no-assenze-giustifica-alunno.alunni .assenze-icon-firma {
    display: none !important;
}

html.no-voti-firma #voti-firma-famiglia,
html.no-voti-firma #voti-firma-famiglia-button,
html.no-voti-firma .voti-icon-firma 
{ display:none !important; }

html.no-mensa-prenota #mensa-prenota,
html.no-mensa-prenota #mensa-prenota-annulla {
    display: none !important;
}

html.no-extra1-prenota #extra1-prenota,
html.no-extra1-prenota #extra1-prenota-annulla {
    display: none !important;
}

html.no-extra2-prenota #extra2-prenota,
html.no-extra2-prenota #extra2-prenota-annulla {
    display: none !important;
}

html #voti-content-disclaimer-media 
{ display:none !important; }

html.no-voti-media #voti-content-disclaimer-media 
{ display:block !important; }

html.no-voti-media .badge-numero-voti 
{ display:none !important; }

html.no-voti-media #voti-content-andamento-media-generale 
{ display:none !important; }

html #pagelle-content-elenco-periodi 
{ display:block !important; }

html  #pagelle-disclaimer 
{ display:none !important; }

html.no-tracciamento-pagella  #pagelle-content-elenco-periodi 
{ display:none !important; }

html.no-tracciamento-pagella  #pagelle-disclaimer 
{ display:block !important; }

html.no-colloqui-annulla .colloqui-annulla
{ display:none !important; }

html.no-borsellino-ricarica #borsellino-ricarica
{ display:none !important; }

html.no-pagamento-movimenti #pagamento-movimenti,
html.no-pagamento-movimenti .checkbox-pagamento-movimenti {
    display: none !important;
}

#voti-content-elenco-materie {
    position:fixed;
    top:calc(var(--f7-page-navbar-offset, 0px) + var(--f7-page-toolbar-top-offset, 0px) + var(--f7-page-subnavbar-offset, 0px) + var(--f7-page-searchbar-offset, 0px) + var(--f7-page-content-extra-padding-top, 0px));
}

#voti.voti-dettaglio-active .page-content {     
    padding-top: calc(var(--f7-page-navbar-offset, 0px) + var(--f7-page-toolbar-top-offset, 0px) + var(--f7-page-subnavbar-offset, 0px) + var(--f7-page-subnavbar-offset, 0px) + var(--f7-page-searchbar-offset, 0px) + var(--f7-page-content-extra-padding-top, 0px));
}
#voti.voti-dettaglio-active #voti-tab-box:before,
#voti.voti-dettaglio-active #voti-tab-box .toolbar-top:before {
    background:none;
}
#voti.voti-dettaglio-active #voti-tab-box {
    border-bottom: 1px solid #d7d7d7;
}
#tab-voti-1 .links-list a {
    height: auto;
    min-height:initial;
}
.sheet-modal-registro .sheet-modal-inner .list .item-text,
.sheet-modal-lezioni .sheet-modal-inner .list .item-text,
.sheet-modal-compiti .sheet-modal-inner .list .item-text,
.panel-right-voti .list .item-text {
    display: block;
    max-height: none;
}
.avatar {
    background-image:url('../img/profile/profile-200.jpg');
    background-position:center;
    background-size:cover;
}
.avatar .avatar-sgr,
.avatar .avatar-sol,
.avatar .avatar-user {
    background-position:center;
    background-size:cover;
}

.avatar-50 {
    border-radius:25px;
    overflow:hidden;
}
.avatar-50,
.avatar-50 .avatar-sgr,
.avatar-50 .avatar-sol,
.avatar-50 .avatar-user {
    width:50px;
    height:50px;
}
.avatar-80 {
    border-radius:40px;
    overflow:hidden;
}
.avatar-80,
.avatar-80 .avatar-sgr,
.avatar-80 .avatar-sol,
.avatar-80 .avatar-user {
    width:80px;
    height:80px;
}

.sheet-utente .ol-schoolcode {
    width: 80px;
    font-size: 0.65em;
}

#sheet-modal-borsellino-iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
}
#sheet-modal-borsellino-iframe iframe {
    border: 0 none;
    width: 100%;
    height: 100%;
}

#sheet-modal-borsellino-loader {
    position: absolute;
    width: 100%;
}
#sheet-modal-movimenti-iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
}
#sheet-modal-movimenti-iframe iframe {
    border: 0 none;
    width: 100%;
    height: 100%;
}

#sheet-modal-movimenti-loader {
    position: absolute;
    width: 100%;
}
#voti-grafico .tick {
    font-weight: normal;
    font-size: 0.88em;
}
.theme-dark .c3-grid line {
    stroke: rgba(255,255,255,0.2);
}
.theme-dark .c3 text {
    fill: rgba(255,255,255,1);
}

.theme-dark .dialog-inner .list ul {
    background-color: var(--f7-dialog-bg-color);
    color: var(--f7-dialog-text-color);
}

.theme-dark .dialog-inner .list ul li.item-content .item-inner .item-floating-label {
    color: var(--f7-dialog-text-color);
}

.theme-dark .dialog-inner .list ul li.item-content .item-inner .item-input-wrap input {
    color: var(--f7-dialog-text-color);
}

.theme-dark .dialog-inner .list .radio .icon-radio {
    border: var(--f7-radio-border-width) solid #6d6d6d;
}

#questionari-iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: block;
}
#questionari-iframe iframe {
    border: 0 none;
    width: 100%;
    height: 100%;
}
.list .periodo-disabled .item-link .item-inner:before {
    display:none !important;
}

.dialog-text .text-medium {
    overflow:hidden;
    text-overflow:ellipsis;
}
#messaggi-foto-upload-box {
    padding: var(--f7-messagebar-textarea-padding);
    padding-bottom: 0;
}
#messaggi-foto-upload {
    max-width: 100%;
    max-height: 150px;
}
a.MessaggioTestoLink {
    color: unset;
    opacity: 0.8;
}
.blink {
    animation: blinking 1.2s infinite;
}

.tab-link-active .blink {
    animation: none;
}

.rise-shake {
    animation: jump-shaking 2.15s infinite;
}

.tab-link-active i.text-color-orange,
.tab-link-active i.text-color-red {
    color: var(--f7-theme-color) !important;
}

@keyframes blinking {
    0% {
        opacity: 1;
    }

    40% {
        opacity: 1;
    }

    60% {
        opacity: 0;
    }

    90% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes jump-shaking {
    10% {
        transform: translateX(0)
    }

    20% {
        transform: translateY(-2px) rotate(-6deg)
    }

    25% {
        transform: translateY(-2px) rotate(6deg)
    }

    30% {
        transform: translateY(-2px) rotate(-6deg)
    }

    35% {
        transform: translateY(-2px) rotate(6deg)
    }

    40% {
        transform: translateY(-2px) rotate(-6deg)
    }

    50% {
        transform: translateY(0) rotate(0)
    }
}
#virtualclassroom-open-videolezione-virtualclassroom img,
#appuntamenti-open-colloquioonline-GoogleMeet img {
    height: 2.2em;
    margin-right:0.5em;
    vertical-align:middle;
    opacity:0.5;
}
.device-ios #virtualclassroom-open-videolezione-virtualclassroom img,
.device-ios #appuntamenti-open-colloquioonline-GoogleMeet img {
    height: 1.8em;
}

#virtualclassroom-open-videolezione-Jitsi img,
#appuntamenti-open-colloquioonline-Jitsi img {
    height: 2.6em;
    margin-right: 0.5em;
    vertical-align: middle;
    opacity: 0.5;
}
.device-ios #virtualclassroom-open-videolezione-Jitsi img,
.device-ios #appuntamenti-open-colloquioonline-Jitsi img {
    height: 2.2em;
}
.chip.firma {
    height: 20px;
    letter-spacing: 0.04em;
    font-size: 0.6em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    display: inline-block;
    line-height: 20px;
    padding-left: 6px;
    padding-right: 8px;
}
.chip.firma .material-icons-outlined {
    font-size: 1.4em;
    vertical-align: middle;
    display: inline-block;
    margin-top: -4px;
}